Bank Offers API
Per-offer price breakup for a specific listing.
Get Bank Offers
POST /api/v1/crs/listings/bank-offers?id=lst_abc
{
"rawParams": [
{ "filterName": "channelId", "filterValues": ["B2C"] },
{ "filterName": "checkInDate", "filterValues": ["2026-05-15"] },
{ "filterName": "checkOutDate", "filterValues": ["2026-05-17"] },
{ "filterName": "adults", "filterValues": ["2"] }
]
}
Response:
{
"listingId": "lst_abc",
"price": {
"total": 12000,
"perNight": 6000
},
"offerTitles": ["10% off with Visa", "15% off with HDFC"],
"offers": [
{
"id": "visa-offer-1",
"code": "VISA10",
"title": "10% off with Visa",
"discountMethod": "PERCENTAGE",
"price": {
"total": 10800,
"perNight": 5400,
"totalBeforeDiscount": 12000,
"totalSaving": 1200,
"discountPercent": 10
}
},
{
"id": "hdfc-offer-1",
"code": "HDFC15",
"title": "15% off with HDFC",
"discountMethod": "PERCENTAGE",
"price": {
"total": 10200,
"perNight": 5100,
"totalBeforeDiscount": 12000,
"totalSaving": 1800,
"discountPercent": 15
}
}
]
}